%option noyywrap
%{
#include <string>
#include <vector>
using namespace std;
#include <cstdlib>
class Izraz;
#include "lisp.tab.hpp"
%}
%%

[()=<+*-] return *yytext;
[0-9]+ { yylval.num_atr = atoi(yytext); return NUM; }
if return IF;
defun	return DEFUN;
[a-zA-Z_][a-zA-Z0-9_]*	{yylval.str_atr = new string(yytext); return ID;}
[ \t\n]+
%%
